NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.BeamSectionCollection Class Reference

Represents the collection of all NXOpen.CAE.BeamSection in a fem part More...

Inheritance diagram for NXOpen.CAE.BeamSectionCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe NXOpen.CAE.BeamSection CloneSection (NXOpen.CAE.BeamSection sourceSection)
 Creates a copy of a beam cross section More...
 
unsafe
NXOpen.CAE.GeneralGeometryBeamSection 
CopyAsGeneralGeometrySection (NXOpen.CAE.BeamSection sourceSection)
 Copies a section to a new general geometry section More...
 
unsafe
NXOpen.CAE.GeneralGeometryBeamSectionBuilder 
CreateGeneralGeometryBeamSectionBuilder (NXOpen.CAE.GeneralGeometryBeamSection section)
 Creates a general geometry section builder. More...
 
unsafe
NXOpen.CAE.StandardBeamSectionBuilder 
CreateStandardBeamSectionBuilder (NXOpen.CAE.StandardBeamSection section)
 Creates a standard section builder More...
 
unsafe
NXOpen.CAE.UserDefinedSolidBeamSectionBuilder 
CreateUserDefinedSolidBeamSectionBuilder (NXOpen.CAE.UserDefinedSolidBeamSection section)
 Creates a user-defined solid section builder. More...
 
unsafe NXOpen.CAE.BeamSection FindObject (string journalIdentifier)
 Finds the NXOpen.CAE.BeamSection with the given identifier as recorded in a journal. More...
 
NXOpen.CAE.BeamSection[] ToArray ()
 Returns an array of NXOpen.CAE.BeamSection objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents the collection of all NXOpen.CAE.BeamSection in a fem part

To obtain an instance of this class, refer to NXOpen.CAE.BaseFEModel

Created in NX5.0.0

Deprecated in NX1847.0.0. Use CAE.BeamSectionsCollection .

Member Function Documentation

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamSectionCollection.CloneSection ( NXOpen.CAE.BeamSection  sourceSection)
inline

Creates a copy of a beam cross section

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sourceSectionSection to be copied
Returns
Cloned section
unsafe NXOpen.CAE.GeneralGeometryBeamSection NXOpen.CAE.BeamSectionCollection.CopyAsGeneralGeometrySection ( NXOpen.CAE.BeamSection  sourceSection)
inline

Copies a section to a new general geometry section

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sourceSectionSection to be copied
Returns
Copied general geometry section
unsafe NXOpen.CAE.GeneralGeometryBeamSectionBuilder NXOpen.CAE.BeamSectionCollection.CreateGeneralGeometryBeamSectionBuilder ( NXOpen.CAE.GeneralGeometryBeamSection  section)
inline

Creates a general geometry section builder.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sectionNXOpen.CAE.GeneralGeometryBeamSection to be edited
Returns
General geometry beam section builder
unsafe NXOpen.CAE.StandardBeamSectionBuilder NXOpen.CAE.BeamSectionCollection.CreateStandardBeamSectionBuilder ( NXOpen.CAE.StandardBeamSection  section)
inline

Creates a standard section builder

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sectionNXOpen.CAE.StandardBeamSection to be edited
Returns
Standard beam section builder
unsafe NXOpen.CAE.UserDefinedSolidBeamSectionBuilder NXOpen.CAE.BeamSectionCollection.CreateUserDefinedSolidBeamSectionBuilder ( NXOpen.CAE.UserDefinedSolidBeamSection  section)
inline

Creates a user-defined solid section builder.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sectionNXOpen.CAE.UserDefinedSolidBeamSection to be edited
Returns
User-defined solid beam section builder
override int NXOpen.CAE.BeamSectionCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamSectionCollection.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.CAE.BeamSection with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
journalIdentifierBeam Section name
Returns
Beam Section with this identifier
NXOpen.CAE.BeamSection [] NXOpen.CAE.BeamSectionCollection.ToArray ( )
inline

Returns an array of NXOpen.CAE.BeamSection objects.

Property Documentation

Tag NXOpen.CAE.BeamSectionCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.